Package it.ernytech.tdlib

## Class TdApi.DraftMessage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DraftMessage

Enclosing class:
  TdApi

    public static class TdApi.DraftMessage
    extends TdApi.Object

Contains information about a message draft.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputMessageContent` `inputMessageText` Content of the message draft; this should always be of type inputMessageText.
`long` `replyToMessageId` Identifier of the message to reply to; 0 if none.

### Constructor Summary

Constructors
`DraftMessage()` Default constructor.
`DraftMessage​(long replyToMessageId, TdApi.InputMessageContent inputMessageText)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### replyToMessageId

    public long replyToMessageId

Identifier of the message to reply to; 0 if none.

#### inputMessageText

    public TdApi.InputMessageContent inputMessageText

Content of the message draft; this should always be of type inputMessageText.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DraftMessage

    public DraftMessage()

Default constructor.

#### DraftMessage

    public DraftMessage​(long replyToMessageId,
                        TdApi.InputMessageContent inputMessageText)

Constructor for initialization of all fields.

Parameters:
  `replyToMessageId` - Identifier of the message to reply to; 0 if none.
  `inputMessageText` - Content of the message draft; this should always be of type inputMessageText.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR